%global __requires_exclude perl\\((extra|file|in|--format)\\)

Summary:	Package maintenance system for Debian Linux
Name:		dpkg
Version:	1.18.23
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Packaging
Url:		https://packages.debian.org/sid/dpkg
Source0:	ftp://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.xz
Source1:	%{name}-pl-man-pages.tar.bz2
# We add debsign in this package as it's a simple script allowing to maintain
# Debian signed repositories - The package to which it belongs is not in Mageia yet.
Source2:	debsign.sh
Source3:	debsign.1
BuildRequires:	gettext-devel
BuildRequires:	zlib-devel
BuildRequires:	po4a
BuildRequires:  bzip2-devel

%description
This package contains the programs dpkg which used to handle the installation
and removal of packages on a Debian system.

In order to unpack and build Debian source packages you will need
to install the developers' package `dpkg-dev' as well as this one.

dpkg-dev is not provided on your %{_vendor} system.

%package -n	perl-Dpkg
Summary:        Package maintenance system for Debian Linux
Group:          Development/Perl
# The Dpkg.pm points to either /usr/lib or /usr/lib64 so it cannot be
# noarch.
# BuildArch:      noarch

%description -n	perl-Dpkg
This module provides dpkg functionalities.

%prep
%setup -q

%build
%configure2_5x \
    --disable-dselect \
    --with-admindir=%{_localstatedir}/lib/%{name}

%make

%install
%makeinstall_std

install -m 755 %{SOURCE2} %{buildroot}/%{_bindir}/debsign
install -m 644 %{SOURCE3} %{buildroot}/%{_mandir}/man1
bzip2 -dc %{SOURCE1} | tar xf - -C %{buildroot}%{_mandir}

# cleanup
rm -fr %{buildroot}%{_datadir}/locale/en/
rm -fr %{buildroot}%{_sysconfdir}/alternatives
rm -f %{buildroot}%{_bindir}/update-alternatives
rm -f %{buildroot}%{_sbindir}/update-alternatives
rm -fr %{buildroot}/usr/share/doc
find %{buildroot} -name "md5sum*" -exec rm -f {} \;
find %{buildroot}%{_mandir} -name "update-alternatives*" -exec rm -f {} \;

# (blino) not possible to install this in parallel to GNU's install-info after the /usr move
# anyway, in current dpkg version, this is only a wrapper printing a warning if called
# see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
rm -f %{buildroot}%{_sbindir}/install-info

%find_lang %name --with-man --all-name

%files -f dpkg.lang
%attr(0755,root,root) %{_bindir}/*
#%attr(0755,root,root) %{_libdir}/%{name}/mksplit
%{_libdir}/lib%{name}.la
%attr(0755,root,root) %{_sbindir}/*
%dir %{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_datadir}/%{name}/cputable
%{_datadir}/%{name}/ostable
%{_datadir}/%{name}/*.mk
%{_datadir}/dpkg/tupletable
%{_datadir}/dpkg/abitable
%{_datadir}/dpkg/*.specs
%{_localstatedir}/lib/%{name}/*
%dir %{_sysconfdir}/%{name}
%{_includedir}/dpkg/*
%{_libdir}/libdpkg.a
%{_libdir}/pkgconfig/libdpkg.pc
%{_mandir}/man?/*

%files -n perl-Dpkg
%{perl_vendorlib}/Dpkg
%{perl_vendorlib}/Dpkg.pm


%changelog
* Thu May 11 2017 bcornec <bcornec> 1.18.23-1.mga6
+ Revision: 1100157
- Update to upstream 1.18.23 dpkg

* Mon Jan 02 2017 bcornec <bcornec> 1.18.18-1.mga6
+ Revision: 1079758
- update to upstream dpkg 1.18.18

* Thu Aug 25 2016 bcornec <bcornec> 1.18.10-1.mga6
+ Revision: 1048947
- Update to upstream dpkg 1.18.10

* Tue May 10 2016 shlomif <shlomif> 1.18.7-1.mga6
+ Revision: 1012162
- New version 1.18.7 - thanks to Luigi

* Sun Jan 03 2016 bcornec <bcornec> 1.18.4-1.mga6
+ Revision: 919142
- Update to upstream dpkg 1.18.4

* Thu Dec 17 2015 bcornec <bcornec> 1.17.26-1.mga6
+ Revision: 911194
- Update to upstream 1.17.26 to fix CVE-2015-0860

* Wed May 06 2015 bcornec <bcornec> 1.17.25-2.mga5
+ Revision: 821286
- Push release to 2 to allow for worngly made mga4 package to be handled correctly
- Fix #15672 for cauldron (CVE-2015-0840)

* Sat Nov 29 2014 bcornec <bcornec> 1.17.21-1.mga5
+ Revision: 799815
- Update to upstream 1.17.21

* Wed Oct 15 2014 bcornec <bcornec> 1.17.18-4.mga5
+ Revision: 742325
- Update to upstream dpkg 1.17.18

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tv <tv> 1.17.13-3.mga5
+ Revision: 721984
- add more excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.17.13-2.mga5
+ Revision: 678826
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Sep 06 2014 bcornec <bcornec> 1.17.13-1.mga5
+ Revision: 672490
- update to upstream dpkg 1.17.13

* Sun Jul 06 2014 bcornec <bcornec> 1.17.10-2.mga5
+ Revision: 644100
- Bump release to avoid issues with the security version made using subrel

* Fri Jul 04 2014 bcornec <bcornec> 1.17.10-1.mga5
+ Revision: 643389
- Update to upstream 1.17.10 (which also fixes bug #13279

* Tue Apr 29 2014 bcornec <bcornec> 1.17.8-1.mga5
+ Revision: 618797
- Update dpkg to upstream 1.17.8

* Wed Jan 22 2014 bcornec <bcornec> 1.17.6-2.mga5
+ Revision: 567447
- Update to upstream dpkg 1.17.6

* Mon Oct 21 2013 umeabot <umeabot> 1.17.1-2.mga4
+ Revision: 539872
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 bcornec <bcornec> 1.17.1-1.mga4
+ Revision: 493045
- Update dpkg to upstream 1.17.1

* Wed Sep 04 2013 luigiwalser <luigiwalser> 1.16.8-8.mga4
+ Revision: 474927
- rpm no longer allows listing a symlink to a directory as a dir in files
- rpm no longer allows using attr on a symlink in files

* Wed May 29 2013 tv <tv> 1.16.8-7.mga4
+ Revision: 430130
- rebuild for new perl

* Sun Apr 07 2013 luigiwalser <luigiwalser> 1.16.8-6.mga3
+ Revision: 408803
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 1.16.8-5.mga3
+ Revision: 403602
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Tue Jan 22 2013 fwang <fwang> 1.16.8-4.mga3
+ Revision: 390769
- update file list
- update file list
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.16.8-3.mga3
+ Revision: 349080
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 shlomif <shlomif> 1.16.8-2.mga3
+ Revision: 283839
- Made perl-Dpkg arch-dependent

  + fedya <fedya>
    - %%find_lang dselect not needed

* Thu Aug 16 2012 fedya <fedya> 1.16.8-1.mga3
+ Revision: 281494
- option --without-dselect renamed to --disalbe-dselect
- gentoo-bug-289094.patch removed cause no longer needed and version update to 1.16.8

* Sun Jul 22 2012 blino <blino> 1.16.0.1-3.mga3
+ Revision: 273448
- drop /usr/sbin/install-info for /usr move, it was only a warning-wrapper anyway

* Sat May 21 2011 cjw <cjw> 1.16.0.1-2.mga1
+ Revision: 100055
- drop patch4, fixed upstream

  + ahmad <ahmad>
    - Replace a reference to Mandriva with Mageia

  + tv <tv>
    - new release

* Thu Mar 24 2011 boklm <boklm> 1.15.8.4-2.mga1
+ Revision: 76136
- rebuild for bug #497

* Sun Mar 06 2011 ennael <ennael> 1.15.8.4-1.mga1
+ Revision: 65271
- clean spec file
- imported package dpkg

